function round(num, numDecimalPlaces)
  local mult = 10^(numDecimalPlaces or 0);
  return math.floor(num * mult + 0.5) / mult;
end

function formatNumber(number)
    if number < 1000 then
        return number;
    elseif number < 1000000 then
        local number1 = math.floor(number / 1000);
        local number2 = number % 1000;
            if number2 < 10 then
                number2 = "00"..number2;
            elseif number2 < 100 then
                number2 = "0"..number2
            end
        return number1..","..number2;
    elseif number < 1000000000 then
        local number1 = math.floor(number / 1000000);
        local number2 = (math.floor(number / 1000)) % 1000;
            if number2 < 10 then
                number2 = "00"..number2;
            elseif number2 < 100 then
                number2 = "0"..number2
            end
        local number3 = number % 1000;
            if number3 < 10 then
                number3 = "00"..number3;
            elseif number3 < 100 then
                number3 = "0"..number3
            end
		return number1..","..number2..","..number3;
    else
        return number;
    end
end

function hexToColor(hexcolor)
	local color1 = string.sub(hexcolor, 1, 2);
	local color2 = string.sub(hexcolor, 3, 4);
	local color3 = string.sub(hexcolor, 5, 6);
	local newColor = Turbine.UI.Color;
	
	if color1 ~= nil then
		color1 = tonumber(color1, 16) / 255;
	else
		color1 = 0;
	end
	if color2 ~= nil then
		color2 = tonumber(color2, 16) / 255;
	else
		color2 = 0;
	end
	if color3 ~= nil then
		color3 = tonumber(color3, 16) / 255;
	else
		color3 = 0;
	end
	
	newColor.A = 1;
	newColor.R = color1;
	newColor.G = color2;
	newColor.B = color3;
	
	return newColor;
end

function decToHex(IN)
	if IN ~= nil then 
		local B, K, OUT, I, D = 16, "0123456789ABCDEF", "", 0;
		while IN > 0 do
			I = I + 1;
			IN, D = math.floor(IN / B), math.mod(IN, B) + 1;
			OUT = string.sub(K, D, D)..OUT;
		end
		return OUT;
	else
		return nil;
	end
end

function colorToHex(color)
	local red = color.R * 255;
	local green = color.G * 255;
	local blue = color.B * 255;
	if decToHex(red) ~= "" then red = decToHex(red) else red = "00" end
	if decToHex(green) ~= "" then green = decToHex(green) else green = "00" end
	if decToHex(blue) ~= "" then blue = decToHex(blue) else blue = "00" end
	return red..green..blue;
end

function returnColorComponents(color)
	return color.A, color.R, color.G, color.B;
end

findfont = function(box)
	if box:GetSelection() == 1 then
		return Turbine.UI.Lotro.Font.Arial12;
	elseif box:GetSelection() == 2 then
		return Turbine.UI.Lotro.Font.TrajanPro13;
	elseif box:GetSelection() == 3 then
		return Turbine.UI.Lotro.Font.TrajanPro14;
	elseif box:GetSelection() == 4 then
		return Turbine.UI.Lotro.Font.TrajanPro15;
	elseif box:GetSelection() == 5 then
		return Turbine.UI.Lotro.Font.TrajanPro16;
	elseif box:GetSelection() == 6 then
		return Turbine.UI.Lotro.Font.TrajanPro18;
	elseif box:GetSelection() == 7 then
		return Turbine.UI.Lotro.Font.TrajanPro19;
	elseif box:GetSelection() == 8 then
		return Turbine.UI.Lotro.Font.TrajanPro20;
	elseif box:GetSelection() == 9 then
		return Turbine.UI.Lotro.Font.TrajanPro21;
	elseif box:GetSelection() == 10 then
		return Turbine.UI.Lotro.Font.TrajanPro23;
	elseif box:GetSelection() == 11 then
		return Turbine.UI.Lotro.Font.TrajanPro24;
	elseif box:GetSelection() == 12 then
		return Turbine.UI.Lotro.Font.TrajanPro25;
	elseif box:GetSelection() == 13 then
		return Turbine.UI.Lotro.Font.TrajanPro26;
	elseif box:GetSelection() == 14 then
		return Turbine.UI.Lotro.Font.TrajanPro28;
	elseif box:GetSelection() == 15 then
		return Turbine.UI.Lotro.Font.TrajanProBold16;
	elseif box:GetSelection() == 16 then
		return Turbine.UI.Lotro.Font.TrajanProBold22;
	elseif box:GetSelection() == 17 then
		return Turbine.UI.Lotro.Font.TrajanProBold24;
	elseif box:GetSelection() == 18 then
		return Turbine.UI.Lotro.Font.TrajanProBold25;
	elseif box:GetSelection() == 19 then
		return Turbine.UI.Lotro.Font.TrajanProBold30;
	elseif box:GetSelection() == 20 then
		return Turbine.UI.Lotro.Font.TrajanProBold36;
	elseif box:GetSelection() == 21 then
		return Turbine.UI.Lotro.Font.Verdana10;
	elseif box:GetSelection() == 22 then
		return Turbine.UI.Lotro.Font.Verdana12;
	elseif box:GetSelection() == 23 then
		return Turbine.UI.Lotro.Font.Verdana14;
	elseif box:GetSelection() == 24 then
		return Turbine.UI.Lotro.Font.Verdana16;
	elseif box:GetSelection() == 25 then
		return Turbine.UI.Lotro.Font.Verdana18;
	elseif box:GetSelection() == 26 then
		return Turbine.UI.Lotro.Font.Verdana20;
	elseif box:GetSelection() == 27 then
		return Turbine.UI.Lotro.Font.Verdana22;
	elseif box:GetSelection() == 28 then
		return Turbine.UI.Lotro.Font.Verdana23;
	end
end

function findfontnumber(font)
	if font == Turbine.UI.Lotro.Font.Arial12 then
		return 1;
	elseif font == Turbine.UI.Lotro.Font.TrajanPro13 then
		return 2;
	elseif font == Turbine.UI.Lotro.Font.TrajanPro14 then
		return 3;
	elseif font == Turbine.UI.Lotro.Font.TrajanPro15 then
		return 4;
	elseif font == Turbine.UI.Lotro.Font.TrajanPro16 then
		return 5;
	elseif font == Turbine.UI.Lotro.Font.TrajanPro18 then
		return 6;
	elseif font == Turbine.UI.Lotro.Font.TrajanPro19 then
		return 7;
	elseif font == Turbine.UI.Lotro.Font.TrajanPro20 then
		return 8;
	elseif font == Turbine.UI.Lotro.Font.TrajanPro21 then
		return 9;
	elseif font == Turbine.UI.Lotro.Font.TrajanPro23 then
		return 10;
	elseif font == Turbine.UI.Lotro.Font.TrajanPro24 then
		return 11;
	elseif font == Turbine.UI.Lotro.Font.TrajanPro25 then
		return 12;
	elseif font == Turbine.UI.Lotro.Font.TrajanPro26 then
		return 13;
	elseif font == Turbine.UI.Lotro.Font.TrajanPro28 then
		return 14;
	elseif font == Turbine.UI.Lotro.Font.TrajanProBold16 then
		return 15;
	elseif font == Turbine.UI.Lotro.Font.TrajanProBold22 then
		return 16;
	elseif font == Turbine.UI.Lotro.Font.TrajanProBold24 then
		return 17;
	elseif font == Turbine.UI.Lotro.Font.TrajanProBold25 then
		return 18;
	elseif font == Turbine.UI.Lotro.Font.TrajanProBold30 then
		return 19;
	elseif font == Turbine.UI.Lotro.Font.TrajanProBold36 then
		return 20;
	elseif font == Turbine.UI.Lotro.Font.Verdana10 then
		return 21;
	elseif font == Turbine.UI.Lotro.Font.Verdana12 then
		return 22;
	elseif font == Turbine.UI.Lotro.Font.Verdana14 then
		return 23;
	elseif font == Turbine.UI.Lotro.Font.Verdana16 then
		return 24;
	elseif font == Turbine.UI.Lotro.Font.Verdana18 then
		return 25;
	elseif font == Turbine.UI.Lotro.Font.Verdana20 then
		return 26;
	elseif font == Turbine.UI.Lotro.Font.Verdana22 then
		return 27;
	elseif font == Turbine.UI.Lotro.Font.Verdana23 then
		return 28;
	end
end

findalignment = function(box)
	if box:GetSelection() == 1 then
		return Turbine.UI.ContentAlignment.TopLeft;
	elseif box:GetSelection() == 2 then
		return Turbine.UI.ContentAlignment.TopCenter;
	elseif box:GetSelection() == 3 then
		return Turbine.UI.ContentAlignment.TopRight;
	elseif box:GetSelection() == 4 then
		return Turbine.UI.ContentAlignment.MiddleRight;
	elseif box:GetSelection() == 5 then
		return Turbine.UI.ContentAlignment.MiddleCenter;
	elseif box:GetSelection() == 6 then
		return Turbine.UI.ContentAlignment.MiddleLeft;
	elseif box:GetSelection() == 7 then
		return Turbine.UI.ContentAlignment.BottomLeft;
	elseif box:GetSelection() == 8 then
		return Turbine.UI.ContentAlignment.BottomCenter;
	elseif box:GetSelection() == 9 then
		return Turbine.UI.ContentAlignment.BottomRight;
	end
end

findalignmentnumber = function(alignment)
	if alignment == Turbine.UI.ContentAlignment.TopLeft then
		return 1;
	elseif alignment == Turbine.UI.ContentAlignment.TopCenter then
		return 2;
	elseif alignment == Turbine.UI.ContentAlignment.TopRight then
		return 3;
	elseif alignment == Turbine.UI.ContentAlignment.MiddleRight then
		return 4;
	elseif alignment == Turbine.UI.ContentAlignment.MiddleCenter then
		return 5;
	elseif alignment == Turbine.UI.ContentAlignment.MiddleLeft then
		return 6;
	elseif alignment == Turbine.UI.ContentAlignment.BottomLeft then
		return 7;
	elseif alignment == Turbine.UI.ContentAlignment.BottomCenter then
		return 8;
	elseif alignment == Turbine.UI.ContentAlignment.BottomRight then
		return 9;
	end
end

















